package com.ruoyi.system.service;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.system.domain.sqmy.SqmyInfo;

import java.util.List;


/**
 * 社情民意信息Service接口
 * 
 * @author boman
 * @date 2024-03-14
 */
public interface ISqmyInfoService 
{
    /**
     * 查询社情民意信息
     * 
     * @param sqmyId 社情民意信息主键
     * @return 社情民意信息
     */
    public SqmyInfo selectSqmyInfoBySqmyId(Long sqmyId);

    /**
     * 查询社情民意信息列表
     * 
     * @param sqmyInfo 社情民意信息
     * @return 社情民意信息集合
     */
    public List<SqmyInfo> selectSqmyInfoList(SqmyInfo sqmyInfo);

    /**
     * 新增社情民意信息
     * 
     * @param sqmyInfo 社情民意信息
     * @return 结果
     */
    public int insertSqmyInfo(SqmyInfo sqmyInfo);

    /**
     * 修改社情民意信息
     * 
     * @param sqmyInfo 社情民意信息
     * @return 结果
     */
    public int updateSqmyInfo(SqmyInfo sqmyInfo);

    /**
     * 批量删除社情民意信息
     * 
     * @param sqmyIds 需要删除的社情民意信息主键集合
     * @return 结果
     */
    public int deleteSqmyInfoBySqmyIds(Long[] sqmyIds);

    /**
     * 删除社情民意信息信息
     * 
     * @param sqmyId 社情民意信息主键
     * @return 结果
     */
    public int deleteSqmyInfoBySqmyId(Long sqmyId);

    /***
     * 是否立案
     */
    AjaxResult isRecord(SqmyInfo sqmyInfo);

    /***
     * 交办
     */
    AjaxResult assign(SqmyInfo sqmyInfo);

    /***
     * 委员意见
     */
    AjaxResult idea(SqmyInfo sqmyInfo);

    /***
     * 政协意见
     */
    AjaxResult zxIdea(SqmyInfo sqmyInfo);

    /***
     * 推荐重点
     */
    AjaxResult keyPoint(SqmyInfo sqmyInfo);

    /***
     * 推荐优秀
     */
    AjaxResult outstanding(SqmyInfo sqmyInfo);

    /***
     * 交办审核
     */
    AjaxResult assignsh(SqmyInfo sqmyInfo);

    List<SqmyInfo> unitList(SqmyInfo sqmyInfo);

    /**
     * 列表页统计
     */
    AjaxResult statistics(SqmyInfo sqmyInfo);
}
